Bug 150415 - file: error while loading shared libraries: libmagic.so.1: cannot open shared object file: No such file or directory
file: error while loading shared libraries: libmagic.so.1: cannot open shared...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-05 16:24 EST by Rick Richardson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-07 03:26:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Richardson 2005-03-05 16:24:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
File command:

$ file
file: error while loading shared libraries: libmagic.so.1: cannot open
shared object file: No such file or directory

This is AMD x86_64.
Comment 1 Radek Vokal 2005-03-07 03:26:16 EST
I've tested file on x86_64 AMD machine and it works as it should work.
This is the latest rawhide file-4.13, the libmagic.so.1 lib is
installed correctly in /usr/lib64/

# rpm -Vv file
.........   /usr/bin/file
.........   /usr/include/magic.h
.........   /usr/lib64/libmagic.a
.........   /usr/lib64/libmagic.la
.........   /usr/lib64/libmagic.so
.........   /usr/lib64/libmagic.so.1
.........   /usr/lib64/libmagic.so.1.0.0
.........   /usr/share/doc/file-4.13
......... d /usr/share/doc/file-4.13/LEGAL.NOTICE
......... d /usr/share/doc/file-4.13/README
.........   /usr/share/file/magic
.........   /usr/share/file/magic.mgc
.........   /usr/share/file/magic.mime
.........   /usr/share/file/magic.mime.mgc
.........   /usr/share/magic
.........   /usr/share/magic.mime
......... d /usr/share/man/man1/file.1.gz
......... d /usr/share/man/man3/libmagic.3.gz
......... d /usr/share/man/man5/magic.5.gz
.........   /usr/share/misc/magic

Note You need to log in before you can comment on or make changes to this bug.